[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Libtool errors when trying to compile mod-xslt2

From: Bill Farrar
Subject: Libtool errors when trying to compile mod-xslt2
Date: Wed, 24 Oct 2007 13:24:30 -0500


I've been tearing my hair out for ages trying to figure this out for myself, but have reached the point where I really need help.

Libtool : 1.5.24
gcc     : 4.1.2

I'm trying to compile the following tarball from source on a gentoo x86 machine.

There is no ebuild for this package that I can find anywhere.

I configure with this:

$ ./configure --with-apxs=/usr/sbin/apxs2 --with-sapi=apache2 --enable-exslt

This completes fine.

Then I make, which is fine up to this point:

make[1]: Entering directory `/home/rbrown/Downloads/Tar/modxslt-2005072700/sapi/apache2'
/bin/sh ../..//libtool --mode=compile i686-pc-linux-gnu-gcc -pthread -Os -march=i686 -fomit-frame-pointer  -g -O2 -D_REENTRANT -I/usr/include/libxml2  -I/usr/include/libxml2   -DLINUX=2 -D_REENTRANT -D_GNU_SOURCE  -I/usr/include/apr-0   -I/usr/include/apr-0 -I/usr/include/db4.3 -I/usr/include/apache2 -I../../lib -I../..//lib -c modxslt.c
libtool: compile: unable to infer tagged configuration
libtool: compile: specify a tag with `--tag'
make[1]: *** [modxslt.lo] Error 1
make[1]: Leaving directory `/home/rbrown/Downloads/Tar/modxslt-2005072700/sapi/apache2'
make: *** [sapi] Error 2

Now, I know little to nothing about libtool. But after a bit of fiddling around I figure I can edit sapi/apache2/Makefile and after each occurrence of this:

$(LIBTOOL) --mode=compile

Add this:

 --tag CC

This allows the compile to complete.

The problem that I can now stuck on (assuming that I have actually correctly fixed the above problem at all) is that when trying to make install, I get this error that I cannot figure out how to solve:

/usr/bin/install -c  -m 0644 -d '/usr/lib/apache2/modules'
/bin/sh ../..//libtool --mode=install --tag CC /usr/bin/install -c  -m 0644 '/usr/lib/apache2/modules'
libtool: install: warning: relinking `'
(cd /home/rbrown/Downloads/Tar/modxslt-2005072700/sapi/apache2; /bin/sh ../..//libtool =CC --mode=relink i686-pc-linux-gnu-gcc -pthread -Os -march=i686 -fomit-frame-pointer -g -O2 -D_REENTRANT -I/usr/include/libxml2 -I/usr/include/libxml2 -DLINUX=2 -D_REENTRANT -D_GNU_SOURCE -I/usr/include/apr-0 -I/usr/include/apr-0 -I/usr/include/db4.3 -I/usr/include/apache2 -I../../lib -I../..//lib -export-dynamic -rpath /usr/lib/apache2/modules -module -avoid-version -o modxslt.lo modxslt-helpers.lo ../../lib/ /usr/lib/ /usr/lib/ -L/usr/lib -lxslt -lxml2 -lz -lm -lexslt -L/usr/lib -lpcre -lpthread )
*** Warning: inferring the mode of operation is deprecated.
*** Future versions of Libtool will require -mode=MODE be specified.
libtool: warning: cannot infer operation mode from `=CC'
libtool: you must specify a MODE
Try `libtool --help' for more information.
libtool: install: error: relink `' with the above command before installing it
make[1]: *** [install-stamp] Error 1
make[1]: Leaving directory `/home/rbrown/Downloads/Tar/modxslt-2005072700/sapi/apache2'
make: *** [install-sapi] Error 2

So at this point I'm at something of a brick wall. Any help on this would be greatly appreciated.




reply via email to

[Prev in Thread] Current Thread [Next in Thread]